## SYNOPSIS

           devdump isoimage

           isodump isoimage

           isoinfo [ -d ] [ -h ] [ -R ] [ -J ] [ -j charset ] [ -f  ]
           [  -l ] [ -p ] [ -T sector ] [ -N sector ] [ -i isoimage ]
           [ -x path ]

           isovfy isoimage

## DESCRIPTION

           devdump is a crude utility to  interactively  display  the
           contents  of  device  or  filesystem  images.  The initial
           screen is a display of the first 256 bytes  of  the  first
           2048  byte sector.  The commands are the same as with iso
           dump.

           isodump is a crude utility to  interactively  display  the
           contents  of  iso9660  images in order to verify directory
           integrity.  The initial screen is a display of  the  first
           part  of  the root directory, and the prompt shows you the
           extent number and offset in the extent.

                  You can use the 'a' and 'b' commands to move  back
                  wards  and  forwards within the image. The 'g' com
                  mand allows you to goto an  arbitrary  extent,  and
                  the  'f'  command  specifies  a search string to be
                  used. The '+' command searches forward for the next
                  instance  of the search string, and the 'q' command
                  exits devdump or isodump.

           isoinfo is a utility to perform directory like listings of
           iso9660 images.

           isovfy  is a utility to verify the integrity of an iso9660
           image. Most of the tests in isovfy were added  after  bugs
           were  discovered  in  early versions of mkisofs.  It isn't
           all that clear how useful this is anymore, but it  doesn't
           hurt to have this around.

## OPTIONS

           Only  the  isoinfo  program  has any command line options.
           These are:

           -h     print a summary of all options.

           -d     Print information from the primary volume  descrip
                  tor  (PVD)  of  the  iso9660  image.  This includes
                  information about Rock Ridge and Joliet  extensions

           -N sector
                  Quick hack to  help  examine  single  session  disc
                  files  that  are  to  be written to a multi-session
                  disc. The sector number  specified  is  the  sector
                  number at which the iso9660 image should be written
                  when send to the cd-writer. Not used for the  first
                  session on the disc.

           -p     Print path table information.

           -R     Extract  information from Rock Ridge extensions (if
                  present) for permissions,  file  names  and  owner
                  ships.

           -J     Extract information from Joliet extensions (if pre
                  sent) for file names.

           -j charset
                  Convert Joliet file names (if present) to the  sup
                  plied charset. See mkisofs(8) for details.

           -T sector
                  Quick  hack  to  help  examine multi-session images
                  that have already been burned  to  a  multi-session
                  disc.  The  sector  number  specified is the sector
                  number for the start of the session we wish to dis
                  play.

           -x pathname
                  Extract specified file to stdout.

## AUTHOR

           Eric       Youngdale       <ericy@gnu.ai.mit.edu>       or
           <eric@andante.jic.com> is to blame for these shoddy hacks.
           Patches  to  improve  general  usability  would  be gladly
           accepted.

## BUGS

           The user interface really sucks.

## FUTURE IMPROVEMENTS

           These utilities are really quick  hacks,  which  are  very
           useful  for debugging problems in mkisofs or in an iso9660
           filesystem. In the long run, it would be nice  to  have  a
           daemon that would NFS export a iso9660 image.

           The isoinfo program is probably the program that is of the
           most use to the general user.

## AVAILABILITY

           These utilities come with the  mkisofs  package,  and  the
           primary      ftp     site     is     tsx-11.mit.edu     in